RK-A2 - Bug #3768

Handle correct options in FE
11/12/2024 11:27 AM - Shubham Boke

Status: Closed Start date: 11/12/2024
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.25 hour
Target version: Spent time: 0.00 hour
Description

If there are multiple correct options for a given question, we save the 'Answer' data in format:
<correct_option1>%"&<correct_option2>%"&<correct_option3>%"&.....
Taking example if we have the data Answer: "AA%*&DD", otherChoices: "BB%"&CC"

Current FE is showing only 3 options (answer expected from FE: 'c'):

e a. BB

e b.CC

c. AA%"&DD

While there are expected 4 options (answer expected from FE should be: 'c, d' OR 'd, c'):
a. BB

b. CC

c. AA

d. DD

Currently FE is directly parsing the answer data as a single option. Going forward handle this type of answer data and display each
option separately. The accepted answer can be any permutation of correct answers (suppose option a and ¢ are correct): a, ¢ and c,
a should be accepted.

History

#1 - 11/12/2024 12:35 PM - Shubham Boke

- Description updated

#2 - 11/12/2024 12:36 PM - Shubham Boke

- Description updated

#3 - 11/12/2024 12:49 PM - Shubham Boke

- Description updated

#4 - 11/12/2024 01:06 PM - Ram Kordale
- Priority changed from Normal to High

#5 - 11/12/2024 01:09 PM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 0.25 h

#6 - 11/13/2024 07:06 AM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 100

#7 - 11/13/2024 08:35 AM - Shubham Boke

- Status changed from In Progress to Resolved

#8 - 11/13/2024 08:36 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Parag Patil

04/02/2025 12




#9 - 11/15/2024 06:52 AM - Parag Patil

- Assignee changed from Parag Patil to Dewakar Chaubey

#10 - 02/06/2025 07:12 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Dewakar Chaubey to Shubham Boke

#11 - 02/06/2025 08:47 AM - Shubham Boke
- Assignee changed from Shubham Boke to Parag Patil

#12 - 02/06/2025 08:55 AM - Parag Patil

- Assignee changed from Parag Patil to Ram Kordale

#13 - 03/27/2025 05:51 AM - Ram Kordale
- Status changed from Feedback to Closed
